# Uses of Class
org.springframework.web.servlet.mvc.condition.RequestMethodsRequestCondition

Packages that use RequestMethodsRequestCondition
Package
Description
org.springframework.web.servlet.mvc.condition
Common MVC logic for matching incoming requests based on conditions.
org.springframework.web.servlet.mvc.method
Servlet-based infrastructure for handler method processing, building on the `org.springframework.web.method` package.

## Uses of RequestMethodsRequestCondition in org.springframework.web.servlet.mvc.condition

Methods in org.springframework.web.servlet.mvc.condition that return RequestMethodsRequestCondition
Modifier and Type
Method
Description
`RequestMethodsRequestCondition`
RequestMethodsRequestCondition.`combine(RequestMethodsRequestCondition other)`
Returns a new instance with a union of the HTTP request methods from "this" and the "other" instance.
`RequestMethodsRequestCondition`
RequestMethodsRequestCondition.`getMatchingCondition(HttpServletRequest request)`
Check if any of the HTTP request methods match the given request and return an instance that contains the matching HTTP request method only.
Methods in org.springframework.web.servlet.mvc.condition with parameters of type RequestMethodsRequestCondition
Modifier and Type
Method
Description
`RequestMethodsRequestCondition`
RequestMethodsRequestCondition.`combine(RequestMethodsRequestCondition other)`
Returns a new instance with a union of the HTTP request methods from "this" and the "other" instance.
`int`
RequestMethodsRequestCondition.`compareTo(RequestMethodsRequestCondition other, HttpServletRequest request)`
Returns: 0 if the two conditions contain the same number of HTTP request methods Less than 0 if "this" instance has an HTTP request method but "other" doesn't Greater than 0 "other" has an HTTP request method but "this" doesn't

## Uses of RequestMethodsRequestCondition in org.springframework.web.servlet.mvc.method

Methods in org.springframework.web.servlet.mvc.method that return RequestMethodsRequestCondition
Modifier and Type
Method
Description
`RequestMethodsRequestCondition`
RequestMappingInfo.`getMethodsCondition()`
Return the HTTP request methods of this `RequestMappingInfo`; or instance with 0 request methods (never `null`).
Constructors in org.springframework.web.servlet.mvc.method with parameters of type RequestMethodsRequestCondition
Modifier
Constructor
Description
``
`RequestMappingInfo(String name, PatternsRequestCondition patterns, RequestMethodsRequestCondition methods, ParamsRequestCondition params, HeadersRequestCondition headers, ConsumesRequestCondition consumes, ProducesRequestCondition produces, RequestCondition<?> custom)`
Deprecated.
as of 5.3 in favor using `RequestMappingInfo.Builder` via `RequestMappingInfo.paths(String...)`.
``
`RequestMappingInfo(PatternsRequestCondition patterns, RequestMethodsRequestCondition methods, ParamsRequestCondition params, HeadersRequestCondition headers, ConsumesRequestCondition consumes, ProducesRequestCondition produces, RequestCondition<?> custom)`
Deprecated.
as of 5.3 in favor using `RequestMappingInfo.Builder` via `RequestMappingInfo.paths(String...)`.